<?
//Мод Подарки для DCMS
//Автор:TBicTep
//ICQ:3492211
//Вы не имеете права распространять данный скрипт
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();


$set['title']='Ваши подарки';
include_once '../sys/inc/thead.php';
title();
err();


mysql_query("UPDATE `present_jurnal` SET `read` = '1' WHERE `id_user` = '$user[id]';");

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_jurnal` WHERE `id_user` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Подарки еще не дарили\n";
}

$q=mysql_query("SELECT * FROM `present_jurnal` WHERE `id_user` = '$user[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
echo "   <tr>\n";

if($num==1){
echo "  <div class='rekl_main'>\n";
$num=0;
}else{
echo "  <div class='menu_razd'>\n";
$num=1;}
echo "<font color='red'>".vremja($post['time'])."</font><br />\n";
echo"$post[msg]<a href='presentlist.php?user=$user[id]'>подарок <img src='/style/icons/pod.gif' alt='' class='icon'/> </a><br />";
echo "</div>";
}

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц


include_once '../sys/inc/tfoot.php';
?>